package com.wd.workoffice.ui.activity.bat.work;

import android.os.Bundle;
import android.widget.TextView;

import com.alibaba.fastjson.JSON;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.MoneyOutBean;
import com.wd.workoffice.util.MathUtils;
import com.wd.workoffice.util.WorkUtils;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * 工作台 - 财务 - 详情
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkFinancialDetailActivity extends WorkToolBarActivity {
    @BindView(R.id.tv_status)
    TextView tvStatus;
    @BindView(R.id.tv_code)
    TextView tvCode;
    @BindView(R.id.tv_time)
    TextView tvTime;
    @BindView(R.id.tv_person)
    TextView tvPerson;
    @BindView(R.id.tv_client)
    TextView tvClient;
    @BindView(R.id.tv_process)
    TextView tvProcess;
    @BindView(R.id.tv_price)
    TextView tvPrice;
    @BindView(R.id.tv_review)
    TextView tvReview;
    @BindView(R.id.tv_review_time)
    TextView tvReviewTime;
    @BindView(R.id.tv_remark)
    TextView tvRemark;
    @BindView(R.id.tv_review_remark)
    TextView tvReviewRemark;
    private MoneyOutBean.RecordsBean dataBean;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        dataBean = JSON.parseObject(getIntent().getStringExtra("detail"), MoneyOutBean.RecordsBean.class);
        tvClient.setText(dataBean.getCreatedTime());
        tvCode.setText(dataBean.getSerialNumber());
//        tvDesc.setText();
        tvPerson.setText(dataBean.getApplierName());
        tvRemark.setText(dataBean.getAuditRemark());
        tvReviewRemark.setText(dataBean.getApplyRemark());
        tvPrice.setText(MathUtils.converData(String.valueOf(dataBean.getApplyAmount()), 3));
        tvProcess.setText(dataBean.getProcessName());
        tvReview.setText(dataBean.getUpdatedByName());
        tvReviewTime.setText(dataBean.getUpdatedTime());
        tvStatus.setText(WorkUtils.getFinancialStatus(Integer.valueOf(dataBean.getStatus())));
        tvTime.setText(dataBean.getCreatedTime());
    }

    @Override
    protected void initData() {
    }


    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_work_financial_out_detail;
    }

}
